<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".activity.MainActivity">

    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/viewpager2"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/ll"
        app:layout_constraintTop_toTopOf="parent" />

    <LinearLayout
        android:id="@+id/ll"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="horizontal"
        app:layout_constraintBottom_toTopOf="@id/fl_banner"
        app:layout_constraintTop_toBottomOf="@id/viewpager2"
        tools:ignore="DisableBaselineAlignment">

        <LinearLayout
            android:id="@+id/ll_1"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical"
            android:paddingTop="10dp"
            android:paddingBottom="15dp"
            tools:ignore="UseCompoundDrawables">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:background="@drawable/bg_clean_tab"
                tools:ignore="ContentDescription" />

            <TextView
                android:id="@+id/tv_1"
                android:layout_width="100dp"
                android:layout_height="20dp"
                android:layout_gravity="center_horizontal"
                android:gravity="center"
                android:text="Clean"
                android:textColor="@color/color_tab_select"
                android:textSize="11sp"
                tools:ignore="HardcodedText" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_2"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical"
            android:paddingTop="10dp"
            android:paddingBottom="15dp"
            tools:ignore="UseCompoundDrawables">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:background="@drawable/bg_recovery_tab"
                tools:ignore="ContentDescription" />

            <TextView
                android:id="@+id/tv_2"
                android:layout_width="100dp"
                android:layout_height="20dp"
                android:layout_gravity="center_horizontal"
                android:gravity="center"
                android:text="Recovery"
                android:textColor="@color/color_tab_select"
                android:textSize="11sp"
                tools:ignore="HardcodedText" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_3"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical"
            android:paddingTop="10dp"
            android:paddingBottom="15dp"
            tools:ignore="UseCompoundDrawables">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:background="@drawable/bg_recyclebin_tab"
                tools:ignore="ContentDescription" />

            <TextView
                android:id="@+id/tv_3"
                android:layout_width="100dp"
                android:layout_height="20dp"
                android:layout_gravity="center_horizontal"
                android:gravity="center"
                android:text="RecycleBin"
                android:textColor="@color/color_tab_select"
                android:textSize="11sp"
                tools:ignore="HardcodedText" />

        </LinearLayout>

    </LinearLayout>

    <FrameLayout
        android:id="@+id/fl_banner"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/ll" />

</androidx.constraintlayout.widget.ConstraintLayout>